Bug 18634 - basename dumps core on mv'ing directory
Summary: basename dumps core on mv'ing directory
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: bero
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-08 12:39 UTC by Graham Higgins
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-08 20:40:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham Higgins 2000-10-08 12:39:24 UTC
Probably a GNU thing. Yeah, okay, it's a sloppy command but the trailing
slash was added by TAB (complete) and I'm fairly sure that basename
shouldn't dump core whatever.

# ls daemontools/
./	     envuidgid.html  multilog.html   softlimit.html  svok.html	 
tai64nlocal.html
../	     fghack.html     setlock.html    supervise.html  svscan.html 
tai64nunix-0.70.patch
envdir.html  install.html    setuidgid.html  svc.html	     tai64n.html 
upgrade.html
# ls /usr/share/doc/daemontools-0.53/
./  ../  BLURB	CHANGES  INSTALL  README  README.rpm  THANKS  TODO  VERSION
# mv daemontools/ /usr/share/doc/daemontools-0.53/html
mv: basename.c:67: base_name: Assertion `all_slashes || *(p - 1) != '/''
failed.
Aborted (core dumped)

Comment 1 Jeff Johnson 2001-01-06 19:05:26 UTC
Dunno, what sh-utils package you are using, as the assertion that you are seeing
is not in any sh-utils-2.0-11 sources.


Note You need to log in before you can comment on or make changes to this bug.